Subject: Re: bug#37803: [BUG] installer does seem to know about pep8 patch

From: P <[email-masked]>
Date: Fri, 18 Oct 2019 09:35:15 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Friday, October 18, 2019 2:48 AM, Kyle Andrews <[email-masked]> wrote:

> I just tried to install guix on desktop system by piggy-backing from a
> disk-image created on a laptop.
>
> I chose "Guided - using the entire disk with encryption" option.
>
> I then selected GNOME, openbox, and ratpoison to be installed as desktop
> environments. I'm not sure if that's relevant, but wanted to be thorough
> in case this may be limited to a GNOME issue.
>
> The installation errored out with the following message:
>
> > guix system: error: python-pep8-stdlib-tokenize-compat.patch: patch not found
>
> Thus the guix on the disk image seems to be missing the patch mentioned
> in the issue below (corresponding to the python-pep8 package):
>
> https://issues.guix.gnu.org/issue/36643

The patch seems to be present in the latest master. I don't have space to test out the installer.